//
//  ViewController.swift
//  demo4-使用表格组件（UITableView）实现分组列表
//
//  Created by zero on 16/12/28.
//  Copyright © 2016年 yunhaitechnology. All rights reserved.
//
//有想一起探讨swift的请加微信R1301445574
import UIKit

class ViewController: UIViewController,UITableViewDelegate,UITableViewDataSource {
//有想一起探讨swift的请加微信R1301445574
    var tableView:UITableView?
    
    var allnames:Dictionary<Int, [String]>?
    
    var adHeaders:[String]?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.allnames = [0:[String](["UILabel 标签","UITextField 文本框","UIButton 按钮"]),
                         1:[String]([
            "UIDatePiker 日期选择器",
            "UIToolbar 工具条",
            "UITableView 表格视图"])]
        self.adHeaders = [
            "常见 UIKit 控件",
            "高级 UIKit 控件"
        ]
        self.tableView = UITableView(frame:self.view.frame,style:.grouped)
        self.tableView?.delegate = self
        self.tableView?.dataSource = self
        //创建一个重用的单元格
        self.tableView?.register(UITableViewCell.self, forCellReuseIdentifier: "SwiftCell")
        self.view.addSubview(self.tableView!)
        //创建表头
        let headerLabel = UILabel(frame:CGRect(x:0,y:0,width:self.view.bounds.size.width,height:30))
        headerLabel.backgroundColor = UIColor.black
        headerLabel.textColor = UIColor.white
        headerLabel.numberOfLines = 0
        headerLabel.lineBreakMode = .byWordWrapping
        headerLabel.text = "高级UI控件"
        headerLabel.font = UIFont.italicSystemFont(ofSize: 20)
        self.tableView?.tableHeaderView = headerLabel
    }
    func numberOfSections(in tableView: UITableView) -> Int {
        return 2
    }
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        let data = self.allnames?[section]
        return (data?.count)!
    }
    // UITableViewDataSource协议中的方法，该方法的返回值决定指定分区的头部
    func tableView(_ tableView: UITableView, titleForHeaderInSection section: Int) -> String? {
        return self.adHeaders?[section]
    }
    // UITableViewDataSource协议中的方法，该方法的返回值决定指定分区的尾部
    func tableView(_ tableView: UITableView, titleForFooterInSection section: Int) -> String? {
        let data = self.allnames?[section]
        return "有\(data?.count)个控件"
        
    }
    //创建单元格显示的内容
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let identifier:String = "SwiftCell"
        let cell = tableView.dequeueReusableCell(withIdentifier: identifier, for: indexPath)
        cell.accessoryType = .disclosureIndicator
        let secno = indexPath.section
        var data = self.allnames?[secno]
        cell.textLabel?.text = data?[indexPath.row]
        return cell
    }
    // UITableViewDelegate 方法，处理列表项的选中事件
    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        self.tableView?.deselectRow(at: indexPath, animated: true)
        let itemString = self.allnames?[indexPath.section]?[indexPath.row]
        let alertController = UIAlertController(title:"提示！",message:"你选中了【\(itemString)】",preferredStyle:.alert)
        let cancelAction = UIAlertAction(title:"确定",style:.cancel,handler:nil)
        alertController.addAction(cancelAction)
        self.present(alertController, animated: true, completion: nil)
        
        
        
    }
}

